/* select2 multiselect dropdown with checkboxes css */

.truwipe-select2-option{
    display: flex;
    align-items: center;
    gap: 8px;
}

.truwipe-select2-checkbox{
    width: 20px;
    height: 20px;
    border: 1px solid #F15B2C;
    background-color: #ffffff;
    flex-shrink: 0;
    position: relative;
}

.select2-results__option--selected .truwipe-select2-checkbox::after{
    content: "";
    display: block;
    width: 6px;
    height: 12px;
    border: solid #F15B2C;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
    position: absolute;
    top: 2px;
    left: 6px;
}

.select2-results__option{
    color: rgb(122, 122, 122);
}

.truwipe-select2-text{
    font-family: "Poppins";
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    letter-spacing: -0.23px;
    text-align: left;
}

.select2-container .select2-selection--multiple{
    min-height: 47.5px;
    text-align: left;
    padding-left: 10px;
    border-color: #77777766;
    padding-right: 32px !important;
}

.select2-container .select2-selection--multiple:has(.select2-selection__rendered:empty){
    padding-top: 8px;
}

.select2.select2-container--focus .select2-selection--multiple{
    border-color: #77777766;
    box-shadow: inset 0 0 0 1px rgba(0, 0, 0, .1);
}

.select2-dropdown{
    border-color: #77777766;
    z-index: 9;
}

.select2-selection__choice{
    height: 25px;
    display: inline-flex !important;
    align-items: center;
}

.select2-selection__choice > button{
    height: 100%;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice{
    background-color: #dfe9da;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice button{
    background-color: #583E8C;
    border-top-left-radius: 2px;
    border-bottom-left-radius: 2px;
    color: #ffffff;
}

.select2-selection--multiple .select2-selection__clear{
    background-color: #583E8C !important;
    color: #ffffff !important;
    border-radius: 50%;
    width: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.select2-selection--multiple .select2-selection__clear > span{
    margin-bottom: 2px;
}

.select2-selection__clear:hover{
    background-color: #dfe9da !important;
    color: #333333 !important;
}

.select2 .select2-selection--multiple:not(.select2-selection--clearable){
    background-image: url(../images/truwipe_v2_down_arrow_icon.svg);
    background-position: right 11px top 50%;
    background-repeat: no-repeat;
}

.select2-container--default .select2-results__option--selected{
    background-color: #f5f7f8;
}

.select2-selection__choice__display{
    text-overflow: ellipsis;
    overflow: hidden;
}

@media only screen and (max-width: 1366px){
    .select2-container .select2-selection--multiple{
        min-height: 38px;
    }

    .select2-container .select2-selection--multiple:has(.select2-selection__rendered:empty) {
        padding-top: 0px;
    }

    .select2-container .select2-selection .select2-search__field{
        height: 22px;
    }

    .select2-container .select2-selection__choice__display{
        font-size: 12px;
    }
}